com.genesyslab.wfm8.API.service.calendar810

## Class SchSource

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.SchSource

- All Implemented Interfaces:
    java.io.Serializable

      public class SchSource
      extends java.lang.Object
      implements java.io.Serializable

  Defines Schedule Source
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `source` Specifies schedule source `ESchSource`
    `protected java.util.List<java.lang.Integer>` | `sourceID` Used to specify `ESchSourceID` when source = ESchSource.SCH_SOURCE_DEFINED is used.
    `protected int` | `sourceIDNSizeIs` A number of elements in sourceID array

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getSource()` Gets the value of the source property.
    `java.util.List<java.lang.Integer>` | `getSourceID()` Gets the value of the sourceID property.
    `int` | `getSourceIDNSizeIs()` Gets the value of the sourceIDNSizeIs property.
    `int` | `hashCode()`
    `void` | `setSource(int value)` Sets the value of the source property.
    `void` | `setSourceID(java.util.List<java.lang.Integer> sourceID)` Sets the value of the sourceID property.
    `void` | `setSourceIDNSizeIs(int value)` Sets the value of the sourceIDNSizeIs property.
    `java.lang.String` | `toString()`
    `SchSource` | `withSource(int value)`
    `SchSource` | `withSourceID(java.util.Collection<java.lang.Integer> values)`
    `SchSource` | `withSourceID(java.lang.Integer... values)`
    `SchSource` | `withSourceIDNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### source

          protected int source

      Specifies schedule source `ESchSource`

    - #### sourceIDNSizeIs

          protected int sourceIDNSizeIs

      A number of elements in sourceID array

    - #### sourceID

          protected java.util.List<java.lang.Integer> sourceID

      Used to specify `ESchSourceID` when source = ESchSource.SCH_SOURCE_DEFINED is used. It allows to retrieve schedule from several different sources in one request. To retrieve user pending schedules specify User ID(s) as a source ID. However, if source is ESchSource.SCH_SOURCE_DEFINED and sourceID array is left empty, server returns all user pending schedules plus agents' pending schedules.

  - ### Constructor Detail

    - #### SchSource

          public SchSource()

  - ### Method Detail

    - #### getSource

          public int getSource()

      Gets the value of the source property.

    - #### setSource

          public void setSource(int value)

      Sets the value of the source property.

    - #### getSourceIDNSizeIs

          public int getSourceIDNSizeIs()

      Gets the value of the sourceIDNSizeIs property.

    - #### setSourceIDNSizeIs

          public void setSourceIDNSizeIs(int value)

      Sets the value of the sourceIDNSizeIs property.

    - #### getSourceID

          public java.util.List<java.lang.Integer> getSourceID()

      Gets the value of the sourceID property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the sourceID property.

      For example, to add a new item, do as follows:

              getSourceID().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withSource

          public SchSource withSource(int value)

    - #### withSourceIDNSizeIs

          public SchSource withSourceIDNSizeIs(int value)

    - #### withSourceID

          public SchSource withSourceID(java.lang.Integer... values)

    - #### withSourceID

          public SchSource withSourceID(java.util.Collection<java.lang.Integer> values)

    - #### setSourceID

          public void setSourceID(java.util.List<java.lang.Integer> sourceID)

      Sets the value of the sourceID property.
      Parameters:
        `sourceID` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.